@layer font {
  @font-face {
    font-family: Molengo;
    src: url("../fonts/Molengo-Regular.ttf");
  }
  @font-face {
    font-family: Prompt;
    src: url("../fonts/Prompt-Regular.ttf");
  }
}

body {
  font-family: Molengo;
  padding: 25px;  
}

a {
  color: #00B7FF;
}

p.error {
  background-color: rgba(255, 0, 0, 0.5);
}

p.flash{
  background-color: rgba(244, 233, 30, 0.5);
}

button.navigationButton {
  float: right;
  border: 0px;
  margin-top: 35px;
  margin-left: 20px;
  border-radius: 8px;
  padding: 12px;
  font-family: "Molengo";
  color: #565656;
  font-size: 22px;
  filter: drop-shadow(0px 4px 4px rgba(0,0,0,0.25));
  background-color: #EEEEEE;
}

button.navigationButton img {
  width: 20px;
  height: 20px;
  padding-top: 4px;
  margin-right: 4px;
  vertical-align: text-top;
}

button.navigationButton:hover {
  background-color: #b1b1b1;
  cursor:pointer;
}

button.navigationButton:active {
  background-color: #515151;
}

button.navigationButton:active {
  background-color: #515151;
}

button.navigationButton:disabled {
  background-color: #3a3a3a;
  color:#b1b1b1
}

.selectionButton {
  border: 0px;
  padding: 12px 30px;
  border-radius: 8px;
  cursor:pointer;
  font-family: "Molengo";
  color: #000000;
  font-size: 22px;
  background-color: #D9D9D9;
}

.selectionButton:hover {
  background-color: #b1b1b1;
  cursor:pointer;
}

.selectionButton:active {
  background-color: #515151;
}

.selectionButton:active {
  background-color: #515151;
}

.selectionButton:disabled {
  background-color: #3a3a3a;
  color:#b1b1b1
}

table.display{
  max-width: 90vw;
  border-collapse: collapse;
  min-block-size: 20px;
  padding-top: 20px;
  margin-left: auto;
  margin-right: auto;
  width: 95%;
}

td, th {
  
  border: 2px solid #dcdcdc;
  padding: 5px 20px;
  
}

tr.dataHeader {
  background-color: #CBCBCB;
  border-color: #dcdcdc;
  border-width: 4px;
  font-size: 24px;
  font-family: "Prompt";
  font-weight: normal;
}

tr.data {
  border-color: #dcdcdc;
  border-width: 4px;
  font-family: "Prompt";
  font-size: 20px;
  font-weight: lighter;
}

tr.data:hover { 
  background-color: #ddd;
  cursor: pointer;
}

div.projectDataPanelContainer {
  display:grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 20px;
}
button.projectDataPanel {
  background-color: #EBF0F6;
  color: black;
  filter: drop-shadow(0px 4px 4px rgba(0,0,0,0.25));
  border: 0px;
  padding: 0px 10px;
  padding-bottom: 15px;
}

button.projectDataPanel:hover {
  background-color: #d2d6db;
  cursor: pointer;
}

button.projectDataPanel h2 {
  margin:30px 10px;
  margin-bottom: 20px;
  text-align: left;
  font-family: "Molengo";
  font-size: 36px;
}

button.projectDataPanel h3
{
  margin: 10px 10px;
  text-align: left;
  gap: 40px;
  font-family: "Prompt";
  font-size: 24px;
  font-weight: 400;
}

button.projectDataPanel span.dataHeader
{
  font-weight: 700;
}

div.selectableData {
  border-style: groove;
  justify-content: space-between;
  align-items: center;
  margin: 10px 0px;
  margin-left: 0px;
  margin-bottom: 20px;
  padding: 0px 20px;
  border-radius: 10px;
  background-color: #EBF0F6;
  filter: drop-shadow(0px 4px 4px rgba(0,0,0,0.25));
  border: 0px;
  display: none;
}

div.selectableDataButtons {
  display:flex;
  gap:10px;
}

h1.titleText {
  font-size: 48px;
  padding-left: 10px;
}

div.filter {
  display: block;
  position: relative;
  left: 50%;
  right: 50%;
  width: 100vw;
  margin-left: -50vw;
  border: none;
  border-bottom: 1px solid #000;
  margin-bottom: 20px;
  background-color: #fff;
  padding-left: 20px;
  text-align: left;
  box-sizing: border-box;
}

div.filter h3.filterText {
  font-family: "Prompt";
  font-weight: lighter;
  color: #757575;
  font-size: 24px;
  padding-left: 50px;
  margin: 4px 0px;
}

div.filter h3 img {
  width: 15px;
  height: 10px;
  padding-top: 14px;
  margin-right: 4px;
  margin-left: 6px;
  vertical-align: text-top;
}

div.filterContent {
  padding-left: 5%;
  padding-right: 30%;
  display: none;
  flex-direction: column;
  overflow: hidden;
  
}

div.filterContent div.filterTypes {
  display: flex;
  flex-direction: row;
  padding-right: 60%;
}

div.filterContent div.filterTypes div{
  flex: 1 ;
}

div.filterContent div.filterButtons {
  flex: 1;
}

div.filterContent div.filterButtons button {
  flex: 1;
  padding: 1% 10%;
  margin-bottom: 1%;
}

img.icon {
  width: 28px;
  height: 28px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

td.nodeOptions {
  position: relative;
}

td.nodeOptions div.elipsesMenu {
  min-height: 100%;
  min-width: 100%;
  display: none;
  position: absolute;
  left: 0px;
  height: auto;
  z-index: 1;
  background-color: #f1f1f1;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  top: 100%;
  width: 100%;
}

td.nodeOptions div.elipsesMenu button {
  display:block;
  width: 100%;
  padding: 0px;
  height: 40px;
  font-family: "Molengo";
  font-size: 18px;
  font-weight:bolder;
}

div.uploadQueue {
  padding: 20px 0px;
  display:flex;
  flex-direction: column;
}

div.uploadEntry {
  margin: 10px 0px;
  border: solid #000000 1px;
  padding: 0
}

div.uploadEntry:first {
  margin-top: 0px;
}

div.uploadEntry:last-of-type {
  margin-bottom: 0px;
}

div.uploadTitle {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  position: relative;
  border-bottom: solid #000000 1px;
}

.fileName {
  justify-self: start;
  margin-left: 20px;
}

.Type {
  justify-self: center; 
  text-align: center;
}

div.buttonGroup {
  display: flex;
  flex-direction: column;
  justify-self: end;
}

div.uploadTitle button {
  padding: 10% 20px;
  width: 100%;
  border-radius: 0;
  border: 0px;
  border-left: solid #000000 1px;
}
div.uploadTitle img {
  padding: 0px 10px;
}

div.uploadDropdown {
  display: flex;
}

div.uploadContent {
  flex: 3;
}

div.uploadControls {
  display: flex;
  flex-direction: column;
  flex: 1
}

div.uploadDropdownInt {
  display: none;
  padding: 10px;
}

div.uploadDropdownNode {
  display: none;
  padding: 10px;
}

div.loadingPopup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

div.loadingMenu {
  max-width: 25%;
  min-width: 25%;
  max-height: 25%;
  min-height: 25%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #DDDDDD;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}



div.editPopup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

div.editMenu {
    min-width: 60vw;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #DDDDDD;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

div.popupFormField {
  padding: 10px;
  flex-wrap: nowrap;
  min-width: 10%;
  display: flex;
  gap: 4px;
}

input.XYZField {
  width: 40px;
}

div.deletePopup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

div.deleteMenu {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #DDDDDD;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

div.advEditDropdown {
  display: block;
  position: relative;
  border: none;
}

div.advEditDropdown h3.editText {
  padding-left: 10px;
  font-family: "Prompt";
  font-size: 18px;
  font-weight: lighter;
  left:auto;
  margin: 4px 0px;
}

div.advEditDropdown h3.editText img {
  width: 18px;
  height: 18px;
  margin-left: 6px;
  vertical-align: middle;
}

div.advEditDropdownContent {
  display: none;
  overflow: hidden;
  
}

div.console {
  height: 20vh;
  width: 75vw;
  border: 1px solid #aaa;
  overflow: auto;
  padding: 10px;
}